org.apache.solr.client.solrj.io.graph

## Class Node

- java.lang.Object
- - org.apache.solr.client.solrj.io.graph.Node

    public class Node
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Node(String id, boolean track)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String ancestor, Tuple tuple)`
`void` `setMetrics(List<Metric> metrics)`
`Tuple` `toTuple(String collection, String field, int level, Traversal traversal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Node

    public Node(String id,
                boolean track)

### Method Detail

#### setMetrics

    public void setMetrics(List<Metric> metrics)

#### add

    public void add(String ancestor,
                    Tuple tuple)

#### toTuple

    public Tuple toTuple(String collection,
                         String field,
                         int level,
                         Traversal traversal)